/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
'use strict';
var RAZOR_TAGS = {
    a: ['asp-action', 'asp-controller', 'asp-fragment', 'asp-host', 'asp-protocol', 'asp-route'],
    div: ['asp-validation-summary'],
    form: ['asp-action', 'asp-controller', 'asp-anti-forgery'],
    input: ['asp-for', 'asp-format'],
    label: ['asp-for'],
    select: ['asp-for', 'asp-items'],
    span: ['asp-validation-for']
};
export function getRazorDataProvider() {
    return {
        getId: function () { return 'razor'; },
        isApplicable: function (languageId) { return languageId === 'razor'; },
        provideTags: function () {
            return [];
        },
        provideAttributes: function (tag) {
            var attributes = RAZOR_TAGS[tag];
            if (!attributes) {
                return [];
            }
            return attributes.map(function (a) {
                return {
                    name: a
                };
            });
        },
        provideValues: function (tag, attribute) {
            return [];
        }
    };
}
//# sourceMappingURL=razor.js.map