(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    /*---------------------------------------------------------------------------------------------
     *  Copyright (c) Microsoft Corporation. All rights reserved.
     *  Licensed under the MIT License. See License.txt in the project root for license information.
     *--------------------------------------------------------------------------------------------*/
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    var RAZOR_TAGS = {
        a: ['asp-action', 'asp-controller', 'asp-fragment', 'asp-host', 'asp-protocol', 'asp-route'],
        div: ['asp-validation-summary'],
        form: ['asp-action', 'asp-controller', 'asp-anti-forgery'],
        input: ['asp-for', 'asp-format'],
        label: ['asp-for'],
        select: ['asp-for', 'asp-items'],
        span: ['asp-validation-for']
    };
    function getRazorDataProvider() {
        return {
            getId: function () { return 'razor'; },
            isApplicable: function (languageId) { return languageId === 'razor'; },
            provideTags: function () {
                return [];
            },
            provideAttributes: function (tag) {
                var attributes = RAZOR_TAGS[tag];
                if (!attributes) {
                    return [];
                }
                return attributes.map(function (a) {
                    return {
                        name: a
                    };
                });
            },
            provideValues: function (tag, attribute) {
                return [];
            }
        };
    }
    exports.getRazorDataProvider = getRazorDataProvider;
});
//# sourceMappingURL=razor.js.map